mdef_entry_s Struct Reference

## Data Fields

int32 | ssid
| Senone sequence ID.
int32 | tmat
| Transition matrix ID.
union {
struct {
uint8 filler
uint8 reserved [3]
} ci
| < CI phone information - attributes (just "filler" for now) More...
struct {
uint8 wpos
uint8 ctx [3]
| quintphones will require hacking
} cd
} | info

## Detailed Description

Definition at line 73 of file bin_mdef.h.

## Field Documentation

##

struct { ... } mdef_entry_s::ci

< CI phone information - attributes (just "filler" for now)

CD phone information - context info.

Referenced by bin_mdef_phone_id(), and bin_mdef_read_text().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/bin_mdef.h